// @flow
import { getPaletteColor } from '../../../mixins/branding';
import type { PatchworkTheme } from '../../../themes';

export const getBorderColor = (theme: PatchworkTheme, inverted: boolean) =>
  getPaletteColor(inverted ? 'brand-secondary-base' : 'greyscale-light')({
    theme,
  });
export const getFillColor = (theme: PatchworkTheme, inverted: boolean) =>
  getPaletteColor(inverted ? 'brand-secondary-base' : 'white')({ theme });
export const getFontColor = (theme: PatchworkTheme, inverted: boolean) =>
  getPaletteColor(inverted ? 'white' : 'brand-secondary-base')({ theme });
